[mousetrap] Creates script for installing dependencies and updates README about dependencies# This is a combinat



commit 673c51654f83b8c32ac3311ed8ee79664d06090e
Author: James Colla <collajames gmail com>
Date:   Fri Feb 13 15:22:01 2015 -0500

    Creates script for installing dependencies and updates README about dependencies# This is a combination 
of 8 commits. Added install_dependencies.sh to install dependencies for Mousetrap on Fedora 21
    
    Updated and renamed script for installing dependencies.
    
    Update README.md for inclusion of instructions to install mousetrap dependencies for Fedora21, Python3, 
OpenCV3
    
    Added directions to run the install script for Mousetrap with the Fedora21, Python3, OpenCV3 environment
    
    Commented Script File
    
    Added comments to the script file.  Overall pretty straight forward.
    Let me know if I missed anything.
    
    Updated Install dependencies information
    
    Fixed README and script files
    
    Updated README to include minimum requirements for dependencies.

 .gitignore                                         |    1 +
 README.md                                          |   20 ++++++++-
 ...tall_dependencies_fedora21_python3_opencv3.bash |   43 ++++++++++++++++++++
 3 files changed, 62 insertions(+), 2 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index e266467..cda254a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -6,6 +6,7 @@
 #
 /ChangeLog
 /AUTHORS
+/vendor
 
 
 ##############################################################################
diff --git a/README.md b/README.md
index e0b97b3..21651c6 100644
--- a/README.md
+++ b/README.md
@@ -6,10 +6,26 @@ License: GPL v2.0 (see LICENSE)
 ## Software Requirements
 
 * Linux (developed on Fedora 20 and Ubuntu)
-* Python 2.7
+* Python 2.7+
 * PyYAML 3
-* OpenCV 2
+* OpenCV 2+
 * Python-Xlib 0.12+
+* Gnome Common
+* Python setup-tools
+* Numpy
+
+## Install Dependencies for Fedora21, Python3, OpenCV3
+Uses script bin/install_dependencies_fedora21_python3_opencv3.bash
+to install the mousetrap dependencies for Fedora21, Python3 and OpenCV3.
+* Using terminal, navigate to the mousetrap folder.
+* Enter the following command in the terminal:
+  ./bin/install_dependencies_fedora21_python3_opencv3.bash
+* This will begin the installation process of the dependencies:
+  *     Installation of Python, gnome common and python setup-tools
+  *     Installs Numpy
+  *     Installs Python library x-lib
+  *     Installs openCV 3
+* Let Script run through until finished.
 
 
 ## Download
diff --git a/bin/install_dependencies_fedora21_python3_opencv3.bash 
b/bin/install_dependencies_fedora21_python3_opencv3.bash
new file mode 100755
index 0000000..f090863
--- /dev/null
+++ b/bin/install_dependencies_fedora21_python3_opencv3.bash
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Run this script to install the dependencies for Mousetrap on Fedora 21.
+
+set -e
+
+# Used with commands that may fail if we don't mind if they fail.
+ignore_failure() {
+       return 0
+}
+
+
+if [ ! -e README.md -o ! -e configure.ac ] ; then 
+       echo "Please run from the project root"
+       exit 1
+fi
+
+if [ ! -d vendor ] ; then
+       mkdir vendor
+fi
+
+#python 3; yaml; gnome common; python3 setup-tools
+sudo yum -y install cmake python3 python3-devel python3-numpy gcc gcc-c++ python3-PyYAML.x86_64 gnome-common 
python3-setuptools
+
+#installation of numpy
+sudo pip3 install numpy
+
+#installation of x-lib python library
+sudo rpm -ivh 
http://copr-be.cloud.fedoraproject.org/results/mosquito/myrepo/fedora-21-x86_64/python3-xlib-0.15git20141113-1.fc21/python3-xlib-0.15git20141113-1.fc21.noarch.rpm
 || ignore_failure
+
+#install openCV 3
+cd vendor
+git clone --branch 3.0.0-alpha --depth 1 https://github.com/Itseez/opencv.git
+cd opencv
+git checkout 3.0.0-alpha
+
+mkdir release
+cd release
+
+cmake -D CMAKE_BUILD_TYPE=RELEASE -D CMAKE_INSTALL_PREFIX=$(python3 -c "import sys; print(sys.prefix)") -D 
PYTHON_EXECUTABLE=$(which python3) ..
+make -j4
+sudo make install
+
+


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]